<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:scrollbars="none">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <TextView
            android:id="@+id/tv_brand_name"
            style="@style/Print_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="10dp"
            android:gravity="center"
            android:text="gs1"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_restaurant_name"
            style="@style/Print_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:gravity="center"
            android:text="yan"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_brand_name" />

        <TextView
            android:id="@+id/tv_print_bill_order_num"
            style="@style/Print_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_restaurant_name" />

        <TextView
            android:id="@+id/line_restaurant_name"
            style="@style/Print_text_style"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_10"
            android:maxLines="1"
            android:text="——————————————————————————————————————————————————"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_print_bill_order_num" />

        <LinearLayout
            android:id="@+id/layout_dining_table"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@id/line_restaurant_name">

            <TextView
                android:id="@+id/tv_dining_table_text"
                style="@style/Print_text_style"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:text="餐檯：" />

            <TextView
                android:id="@+id/tv_dining_table_number"
                style="@style/Print_text_style"
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginLeft="@dimen/dp_5"
                app:layout_constraintBottom_toBottomOf="@id/tv_dining_table_text"
                app:layout_constraintLeft_toRightOf="@id/tv_dining_table_text"
                app:layout_constraintTop_toTopOf="@id/tv_dining_table_text" />

            <TextView
                android:id="@+id/tv_people_text"
                style="@style/Print_text_style"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="right"
                android:text="人數："
                app:layout_constraintBottom_toBottomOf="@id/tv_dining_table_text"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="@id/tv_dining_table_text" />

            <TextView
                android:id="@+id/tv_people"
                style="@style/Print_text_style"
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_5"
                app:layout_constraintBottom_toBottomOf="@id/tv_people_text"
                app:layout_constraintLeft_toRightOf="@id/tv_people_text"
                app:layout_constraintTop_toTopOf="@id/tv_people_text" />

        </LinearLayout>

        <TextView
            android:id="@+id/tv_order_number_text"
            style="@style/Print_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="單號："
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@id/layout_dining_table" />

        <TextView
            android:id="@+id/tv_order_num"
            style="@style/Print_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="@id/tv_order_number_text"
            app:layout_constraintLeft_toRightOf="@id/tv_order_number_text"
            app:layout_constraintTop_toTopOf="@id/tv_order_number_text" />

        <TextView
            android:id="@+id/tv_data_text"
            style="@style/Print_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="下單時間："
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_order_number_text" />

        <TextView
            android:id="@+id/tv_date"
            style="@style/Print_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintLeft_toRightOf="@id/tv_data_text"
            app:layout_constraintTop_toBottomOf="@id/tv_order_number_text" />

        <TextView
            android:id="@+id/line_order_info"
            style="@style/Print_text_style"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:maxLines="1"
            android:text="——————————————————————————————————————————————————"
            app:layout_constraintTop_toBottomOf="@id/tv_date" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_food"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toBottomOf="@id/line_order_info" />

        <TextView
            android:id="@+id/line_food_info"
            style="@style/Print_text_style"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:maxLines="1"
            android:text="——————————————————————————————————————————————————"
            app:layout_constraintHorizontal_weight="0.6"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/rv_food"
            app:layout_constraintWidth_percent="0.6" />


        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_bill_amount"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/line_food_info" />

        <TextView
            android:id="@+id/line_price_info"
            style="@style/Print_text_style"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:maxLines="1"
            android:text="——————————————————————————————————————————————————"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/rv_bill_amount"
            app:layout_constraintWidth_percent="0.6" />

        <TextView
            android:id="@+id/tv_total_amount_text"
            style="@style/Print_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginLeft="@dimen/dp_5"
            android:text="總金額："
            app:layout_constraintBottom_toBottomOf="@id/tv_amount"
            app:layout_constraintRight_toLeftOf="@id/tv_amount"
            app:layout_constraintTop_toTopOf="@id/tv_amount" />

        <TextView
            android:id="@+id/tv_amount"
            style="@style/Print_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginLeft="@dimen/dp_5"
            android:text="$"
            app:layout_constraintRight_toLeftOf="@id/tv_total_amount"
            app:layout_constraintTop_toBottomOf="@id/line_price_info" />

        <TextView
            android:id="@+id/tv_total_amount"
            style="@style/Print_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginLeft="@dimen/dp_5"
            android:text="0"
            app:layout_constraintBottom_toBottomOf="@id/tv_amount"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@id/tv_amount" />

        <TextView
            android:id="@+id/line_amount_info"
            style="@style/Print_text_style"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:maxLines="1"
            android:text="——————————————————————————————————————————————————"
            app:layout_constraintTop_toBottomOf="@id/tv_amount" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_print_pay_type"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toBottomOf="@id/line_amount_info" />

        <!--    <ImageView-->
        <!--        android:id="@+id/iv_qr_code"-->
        <!--        android:layout_width="wrap_content"-->
        <!--        android:layout_height="wrap_content"-->
        <!--        app:layout_constraintRight_toLeftOf="parent"-->
        <!--        app:layout_constraintRight_toRightOf="parent"-->
        <!--        app:layout_constraintTop_toBottomOf="@+id/line_amount_info" />-->
        <TextView
            android:id="@+id/line_pay_type"
            style="@style/Print_text_style"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:maxLines="1"
            android:text="——————————————————————————————————————————————————"
            app:layout_constraintTop_toBottomOf="@id/rv_print_pay_type" />

        <TextView
            android:id="@+id/tv_thank_you_text"
            style="@style/Print_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginLeft="@dimen/dp_5"
            android:gravity="center"
            android:text="Thank you!"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/line_pay_type" />

        <TextView
            android:id="@+id/tv_checkout_time"
            style="@style/Print_text_style"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="2020-01-09 上午 11:16:15"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_thank_you_text" />

        <ImageView
            android:id="@+id/iv_bar_code"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_50"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginRight="@dimen/dp_50"
            app:layout_constraintTop_toBottomOf="@id/tv_checkout_time" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</ScrollView>